Bug 2021345 - Review Request: rust-inferno - Rust port of the FlameGraph performance profiling tool suite
Summary: Review Request: rust-inferno - Rust port of the FlameGraph performance profil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2020464 2021341
Blocks: 2023856
TreeView+ depends on / blocked
 
Reported: 2021-11-08 23:07 UTC by Davide Cavalca
Modified: 2021-11-18 19:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-18 19:03:56 UTC
Type: ---
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-11-08 23:07:14 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-inferno/rust-inferno.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-inferno/rust-inferno-0.10.8-1.fc36.src.rpm

Description:
Rust port of the FlameGraph performance profiling tool suite.

Fedora Account System Username: dcavalca

Comment 1 Michel Alexandre Salim 2021-11-16 21:47:31 UTC
Need to change license to CDDL-1.0, otherwise looks good. See https://pagure.io/fedora-rust/rust2rpm/pull-request/155

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Common Development and Distribution
     License", "*No copyright* Common Development and Distribution License
     1.0". 40 files have unknown license. Detailed output of licensecheck
     in /home/michel/src/fedora/reviews/2021345-rust-
     inferno/licensecheck.txt
     => this should be CDDL-1.0; I created a PR for rust2rpm
        https://pagure.io/fedora-rust/rust2rpm/pull-request/155
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in inferno
     , rust-inferno-devel , rust-inferno+default-devel , rust-inferno+cli-
     devel , rust-inferno+crossbeam-channel-devel , rust-inferno+crossbeam-
     utils-devel , rust-inferno+dashmap-devel , rust-inferno+env_logger-
     devel , rust-inferno+indexmap-devel , rust-inferno+multithreaded-devel
     , rust-inferno+nameattr-devel , rust-inferno+num_cpus-devel , rust-
     inferno+structopt-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://crates.io/api/v1/crates/inferno/0.10.8/download#/inferno-0.10.8.crate :
  CHECKSUM(SHA256) this package     : d5e0d042b82d2153d831ad6f4b865ddb06d9941a086eb9974f8f58cf0368b6e3
  CHECKSUM(SHA256) upstream package : d5e0d042b82d2153d831ad6f4b865ddb06d9941a086eb9974f8f58cf0368b6e3


Requires
--------
inferno (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

rust-inferno-devel (rpmlib, GLIBC filtered):
    (crate(ahash/default) >= 0.7.0 with crate(ahash/default) < 0.8.0~)
    (crate(atty/default) >= 0.2.0 with crate(atty/default) < 0.3.0~)
    (crate(itoa/default) >= 0.4.3 with crate(itoa/default) < 0.5.0~)
    (crate(lazy_static/default) >= 1.3.0 with crate(lazy_static/default) < 2.0.0~)
    (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0~)
    (crate(num-format) >= 0.4.0 with crate(num-format) < 0.5.0~)
    (crate(quick-xml) >= 0.22.0 with crate(quick-xml) < 0.23.0~)
    (crate(rgb/default) >= 0.8.13 with crate(rgb/default) < 0.9.0~)
    (crate(str_stack/default) >= 0.1.0 with crate(str_stack/default) < 0.2.0~)
    /usr/bin/bash
    cargo

rust-inferno+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(inferno)
    crate(inferno/cli)
    crate(inferno/multithreaded)
    crate(inferno/nameattr)

rust-inferno+cli-devel (rpmlib, GLIBC filtered):
    (crate(env_logger) >= 0.8.0 with crate(env_logger) < 0.9.0~)
    (crate(structopt/default) >= 0.3.0 with crate(structopt/default) < 0.4.0~)
    cargo
    crate(inferno)

rust-inferno+crossbeam-channel-devel (rpmlib, GLIBC filtered):
    (crate(crossbeam-channel/default) >= 0.5.0 with crate(crossbeam-channel/default) < 0.6.0~)
    cargo
    crate(inferno)

rust-inferno+crossbeam-utils-devel (rpmlib, GLIBC filtered):
    (crate(crossbeam-utils/default) >= 0.8.0 with crate(crossbeam-utils/default) < 0.9.0~)
    cargo
    crate(inferno)

rust-inferno+dashmap-devel (rpmlib, GLIBC filtered):
    (crate(dashmap/default) >= 4.0.0 with crate(dashmap/default) < 5.0.0~)
    cargo
    crate(inferno)

rust-inferno+env_logger-devel (rpmlib, GLIBC filtered):
    (crate(env_logger) >= 0.8.0 with crate(env_logger) < 0.9.0~)
    cargo
    crate(inferno)

rust-inferno+indexmap-devel (rpmlib, GLIBC filtered):
    (crate(indexmap/default) >= 1.0.0 with crate(indexmap/default) < 2.0.0~)
    cargo
    crate(inferno)

rust-inferno+multithreaded-devel (rpmlib, GLIBC filtered):
    (crate(crossbeam-channel/default) >= 0.5.0 with crate(crossbeam-channel/default) < 0.6.0~)
    (crate(crossbeam-utils/default) >= 0.8.0 with crate(crossbeam-utils/default) < 0.9.0~)
    (crate(dashmap/default) >= 4.0.0 with crate(dashmap/default) < 5.0.0~)
    (crate(num_cpus/default) >= 1.10.0 with crate(num_cpus/default) < 2.0.0~)
    cargo
    crate(inferno)

rust-inferno+nameattr-devel (rpmlib, GLIBC filtered):
    (crate(indexmap/default) >= 1.0.0 with crate(indexmap/default) < 2.0.0~)
    cargo
    crate(inferno)

rust-inferno+num_cpus-devel (rpmlib, GLIBC filtered):
    (crate(num_cpus/default) >= 1.10.0 with crate(num_cpus/default) < 2.0.0~)
    cargo
    crate(inferno)

rust-inferno+structopt-devel (rpmlib, GLIBC filtered):
    (crate(structopt/default) >= 0.3.0 with crate(structopt/default) < 0.4.0~)
    cargo
    crate(inferno)

rust-inferno-debugsource (rpmlib, GLIBC filtered):



Provides
--------
inferno:
    inferno
    inferno(x86-64)

rust-inferno-devel:
    crate(inferno)
    rust-inferno-devel

rust-inferno+default-devel:
    crate(inferno/default)
    rust-inferno+default-devel

rust-inferno+cli-devel:
    crate(inferno/cli)
    rust-inferno+cli-devel

rust-inferno+crossbeam-channel-devel:
    crate(inferno/crossbeam-channel)
    rust-inferno+crossbeam-channel-devel

rust-inferno+crossbeam-utils-devel:
    crate(inferno/crossbeam-utils)
    rust-inferno+crossbeam-utils-devel

rust-inferno+dashmap-devel:
    crate(inferno/dashmap)
    rust-inferno+dashmap-devel

rust-inferno+env_logger-devel:
    crate(inferno/env_logger)
    rust-inferno+env_logger-devel

rust-inferno+indexmap-devel:
    crate(inferno/indexmap)
    rust-inferno+indexmap-devel

rust-inferno+multithreaded-devel:
    crate(inferno/multithreaded)
    rust-inferno+multithreaded-devel

rust-inferno+nameattr-devel:
    crate(inferno/nameattr)
    rust-inferno+nameattr-devel

rust-inferno+num_cpus-devel:
    crate(inferno/num_cpus)
    rust-inferno+num_cpus-devel

rust-inferno+structopt-devel:
    crate(inferno/structopt)
    rust-inferno+structopt-devel

rust-inferno-debugsource:
    rust-inferno-debugsource
    rust-inferno-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2021345 -L tmp
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: C/C++, Java, Haskell, Python, Perl, fonts, SugarActivity, R, Ocaml, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Built with local dependencies:
    /home/michel/src/fedora/reviews/tmp/rust-str_stack+default-devel-0.1.0-1.fc36.noarch.rpm
    /home/michel/src/fedora/reviews/tmp/rust-num-format-devel-0.4.0-1.fc36.noarch.rpm
    /home/michel/src/fedora/reviews/tmp/rust-str_stack-devel-0.1.0-1.fc36.noarch.rpm

Comment 3 Michel Alexandre Salim 2021-11-17 00:30:56 UTC
LGTM, approved

Comment 4 Gwyn Ciesla 2021-11-18 16:37:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-inferno

Comment 5 Fedora Update System 2021-11-18 19:02:21 UTC
FEDORA-2021-046a882cdd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-046a882cdd

Comment 6 Fedora Update System 2021-11-18 19:03:56 UTC
FEDORA-2021-046a882cdd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.